#include<bits/stdc++.h>
using namespace std;
int main() {
int N,L,h[N],n=0;
cin>>N>>L;
for(int i=0;i<N;i++){
cin>>h[i];
}
for(int i=0;i<N;i++){
if(L<h[i]){
n=n+1;	
}
else if(L>=h[i]){
cout<<i+1;
break;	
}
}
if(n==N)cout<<-1;
return 0;
}